<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorRendererBase boolean getInverseForeground()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.23&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorRendererBase boolean getInverseForeground()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputScrollingModel Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration int getBlockId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration int getBlockId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission kotlin.time.TimeMark getEventTime()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission kotlin.time.TimeMark getEventTime()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel TerminalPanel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel TerminalPanel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorRenderer com.intellij.openapi.editor.markup.RangeHighlighter installCursorHighlighter(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorRenderer com.intellij.openapi.editor.markup.RangeHighlighter installCursorHighlighter(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void removeSearchComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void removeSearchComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.Inlay&lt;?&gt; getTopInlay()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.Inlay&lt;?&gt; getTopInlay()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState int component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState int component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState boolean component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState boolean component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState boolean component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState boolean component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState boolean isFocused()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState boolean isFocused()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalLookupManagerListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalLookupManagerListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane javax.swing.JComponent getPreferredFocusableComponent()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane javax.swing.JComponent getPreferredFocusableComponent()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.UnderlineCursorRenderer UnderlineCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.23&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.UnderlineCursorRenderer UnderlineCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalVfsSynchronizer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalVfsSynchronizer">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void installSearchComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void installSearchComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventsHandlerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventsHandlerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputScrollingModel.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalVfsSynchronizer.Companion com.intellij.openapi.util.Key&lt;com.intellij.terminal.frontend.TerminalVfsSynchronizer&gt; getKEY()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission com.intellij.terminal.frontend.TerminalInput.InputEventSubmission copy(com.intellij.terminal.session.TerminalInputEvent, kotlin.time.TimeMark)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission com.intellij.terminal.frontend.TerminalInput.InputEventSubmission copy(com.intellij.terminal.session.TerminalInputEvent, kotlin.time.TimeMark)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean isAutoNewLine()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean isAutoNewLine()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState CursorState(org.jetbrains.plugins.terminal.block.reworked.TerminalOffset, boolean, boolean, com.jediterm.terminal.CursorShape)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState CursorState(org.jetbrains.plugins.terminal.block.reworked.TerminalOffset, boolean, boolean, com.jediterm.terminal.CursorShape)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState org.jetbrains.plugins.terminal.block.reworked.TerminalOffset getOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState org.jetbrains.plugins.terminal.block.reworked.TerminalOffset getOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalVfsSynchronizer TerminalVfsSynchronizer(com.intellij.terminal.frontend.TerminalSessionController, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, javax.swing.JComponent, kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void removeSearchComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void removeSearchComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.markup.RangeHighlighter component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.markup.RangeHighlighter component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.markup.RangeHighlighter component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.markup.RangeHighlighter component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState com.jediterm.terminal.CursorShape component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState com.jediterm.terminal.CursorShape component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTextSelectionerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTextSelectionerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void installSearchComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void installSearchComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventsHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventsHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext org.jetbrains.plugins.terminal.util.ShellType getShellType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext org.jetbrains.plugins.terminal.util.ShellType getShellType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchSession.TerminalSearchPresentation TerminalSearchPresentation(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchSession.TerminalSearchPresentation TerminalSearchPresentation(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput void sendEnter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput TerminalInput(java.util.concurrent.CompletableFuture&lt;com.intellij.terminal.session.TerminalSession&gt;, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, org.jetbrains.plugins.terminal.fus.TerminalStartupFusInfo, kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput TerminalInput(java.util.concurrent.CompletableFuture&lt;com.intellij.terminal.session.TerminalSession&gt;, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, org.jetbrains.plugins.terminal.fus.TerminalStartupFusInfo, kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead boolean isDisabled()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead boolean isDisabled()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean isApplicationArrowKeys()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean isApplicationArrowKeys()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalToolWindowSplitContentProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalToolWindowSplitContentProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.Companion com.intellij.openapi.actionSystem.DataKey&lt;com.intellij.terminal.frontend.TerminalInput&gt; getDATA_KEY()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState com.intellij.terminal.frontend.TerminalCursorPainter.CursorState copy(int, boolean, boolean, com.jediterm.terminal.CursorShape)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState com.intellij.terminal.frontend.TerminalCursorPainter.CursorState copy(int, boolean, boolean, com.jediterm.terminal.CursorShape)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration BlockDecoration(int, com.intellij.openapi.editor.markup.RangeHighlighter, com.intellij.openapi.editor.markup.RangeHighlighter, com.intellij.openapi.editor.Inlay&lt;?&gt;, com.intellij.openapi.editor.Inlay&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration BlockDecoration(int, com.intellij.openapi.editor.markup.RangeHighlighter, com.intellij.openapi.editor.markup.RangeHighlighter, com.intellij.openapi.editor.Inlay&lt;?&gt;, com.intellij.openapi.editor.Inlay&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo copy(long, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo copy(long, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.BlockCursorRenderer BlockCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.23&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.BlockCursorRenderer BlockCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo long component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo long component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputModelController">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputModelController">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSessionController TerminalSessionController(com.intellij.openapi.project.Project, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, com.intellij.terminal.frontend.hyperlinks.FrontendTerminalHyperlinkFacade, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, com.intellij.terminal.frontend.hyperlinks.FrontendTerminalHyperlinkFacade, org.jetbrains.plugins.terminal.block.reworked.TerminalBlocksModel, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, kotlinx.coroutines.CoroutineScope, org.jetbrains.plugins.terminal.fus.FrontendOutputActivity, org.jetbrains.plugins.terminal.block.reworked.TerminalAliasesStorage)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSessionController TerminalSessionController(com.intellij.openapi.project.Project, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, com.intellij.terminal.frontend.hyperlinks.FrontendTerminalHyperlinkFacade, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, com.intellij.terminal.frontend.hyperlinks.FrontendTerminalHyperlinkFacade, org.jetbrains.plugins.terminal.block.reworked.TerminalBlocksModel, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, kotlinx.coroutines.CoroutineScope, org.jetbrains.plugins.terminal.fus.FrontendOutputActivity, org.jetbrains.plugins.terminal.block.reworked.TerminalAliasesStorage)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalWidget">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalWidget">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput void sendLinkClicked(boolean, com.intellij.terminal.session.TerminalHyperlinkId, com.intellij.openapi.editor.event.EditorMouseEvent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead TerminalTypeAhead(org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo java.lang.String component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo java.lang.String component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalWidget ReworkedTerminalWidget(com.intellij.openapi.project.Project, org.jetbrains.plugins.terminal.JBTerminalSystemSettingsProvider, org.jetbrains.plugins.terminal.fus.TerminalStartupFusInfo, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TimedKeyEvent">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TimedKeyEvent">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView com.intellij.openapi.editor.ex.EditorEx getOutputEditor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo long getAbsoluteIndex()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo long getAbsoluteIndex()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView void setTopComponent(javax.swing.JComponent, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission com.intellij.terminal.session.TerminalInputEvent component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission com.intellij.terminal.session.TerminalInputEvent component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState int getOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState int getOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalWidgetProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalWidgetProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAheadOutputModelControllerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAheadOutputModelControllerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.Companion com.intellij.openapi.util.Key&lt;com.intellij.terminal.frontend.TerminalInput&gt; getKEY()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.MyInsertHandler MyInsertHandler(com.intellij.terminal.completion.spec.ShellCompletionSuggestion, boolean, org.jetbrains.plugins.terminal.util.ShellType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.MyInsertHandler MyInsertHandler(com.intellij.terminal.completion.spec.ShellCompletionSuggestion, boolean, org.jetbrains.plugins.terminal.util.ShellType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalVfsSynchronizer void handleKeyPressed(java.awt.event.KeyEvent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.CopyOnSelectionHandler Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSessionController TerminalSessionController(com.intellij.openapi.project.Project, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, org.jetbrains.plugins.terminal.block.reworked.TerminalBlocksModel, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, kotlinx.coroutines.CoroutineScope, org.jetbrains.plugins.terminal.fus.FrontendOutputActivity)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSessionController TerminalSessionController(com.intellij.openapi.project.Project, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, org.jetbrains.plugins.terminal.block.reworked.TerminalBlocksModel, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, kotlinx.coroutines.CoroutineScope, org.jetbrains.plugins.terminal.fus.FrontendOutputActivity)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.markup.RangeHighlighter getCornersHighlighter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.markup.RangeHighlighter getCornersHighlighter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean isAltSendsEscape()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean isAltSendsEscape()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorRendererBase void withColor(java.awt.Graphics2D, java.awt.Color, kotlin.jvm.functions.Function0&lt;kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.23&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorRendererBase void withColor(java.awt.Graphics2D, java.awt.Color, kotlin.jvm.functions.Function0&lt;kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState boolean isCursorVisible()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState boolean isCursorVisible()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.LineCursorRenderer double getLineThickness()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.LineCursorRenderer double getLineThickness()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandCompletion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandCompletion">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.CopyOnSelectionHandlerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.CopyOnSelectionHandlerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSessionControllerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSessionControllerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void installSearchComponent(com.intellij.find.SearchReplaceComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void installSearchComponent(com.intellij.find.SearchReplaceComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.VerticalBarCursorRenderer VerticalBarCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.23&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.VerticalBarCursorRenderer VerticalBarCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void setTerminalContent(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void setTerminalContent(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter void addListener(com.intellij.openapi.Disposable, com.intellij.terminal.frontend.TerminalCursorPainterListener)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration copy(int, com.intellij.openapi.editor.markup.RangeHighlighter, com.intellij.openapi.editor.markup.RangeHighlighter, com.intellij.openapi.editor.Inlay&lt;?&gt;, com.intellij.openapi.editor.Inlay&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration copy(int, com.intellij.openapi.editor.markup.RangeHighlighter, com.intellij.openapi.editor.markup.RangeHighlighter, com.intellij.openapi.editor.Inlay&lt;?&gt;, com.intellij.openapi.editor.Inlay&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState com.intellij.terminal.frontend.TerminalCursorPainter.CursorState copy(org.jetbrains.plugins.terminal.block.reworked.TerminalOffset, boolean, boolean, com.jediterm.terminal.CursorShape)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState com.intellij.terminal.frontend.TerminalCursorPainter.CursorState copy(org.jetbrains.plugins.terminal.block.reworked.TerminalOffset, boolean, boolean, com.jediterm.terminal.CursorShape)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.DataContextWrapper DataContextWrapper(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.DataContextWrapper DataContextWrapper(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void setTopComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void setTopComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo LineInfo(long, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo LineInfo(long, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTextSelectioner">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTextSelectioner">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane TerminalLayeredPane(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane TerminalLayeredPane(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher void handleKeyEvent$intellij_terminal_frontend(com.intellij.terminal.frontend.TimedKeyEvent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView ReworkedTerminalView(com.intellij.openapi.project.Project, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, java.util.concurrent.CompletableFuture&lt;com.intellij.terminal.session.TerminalSession&gt;, org.jetbrains.plugins.terminal.fus.TerminalStartupFusInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.CopyOnSelectionHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.CopyOnSelectionHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext com.intellij.terminal.completion.ShellRuntimeContextProvider getRuntimeContextProvider()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext com.intellij.terminal.completion.ShellRuntimeContextProvider getRuntimeContextProvider()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void removeSearchComponent(com.intellij.find.SearchReplaceComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void removeSearchComponent(com.intellij.find.SearchReplaceComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission InputEventSubmission(com.intellij.terminal.session.TerminalInputEvent, kotlin.time.TimeMark)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission InputEventSubmission(com.intellij.terminal.session.TerminalInputEvent, kotlin.time.TimeMark)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchSession.TerminalSearchResults TerminalSearchResults()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchSession.TerminalSearchResults TerminalSearchResults()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputScrollingModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputScrollingModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead void type(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void remoteTopComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel void remoteTopComponent(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.Inlay&lt;?&gt; component5()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.Inlay&lt;?&gt; component5()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.Inlay&lt;?&gt; component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.Inlay&lt;?&gt; component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalLookupListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalLookupListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.Inlay&lt;?&gt; getBottomInlay()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.Inlay&lt;?&gt; getBottomInlay()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.EmptyBlockCursorRenderer EmptyBlockCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.23&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.EmptyBlockCursorRenderer EmptyBlockCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void removeSearchComponent(com.intellij.find.SearchReplaceComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void removeSearchComponent(com.intellij.find.SearchReplaceComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputPsiUpdateKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputPsiUpdateKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcherKt void setupKeyEventHandling(com.intellij.openapi.editor.ex.EditorEx, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, com.intellij.terminal.frontend.TerminalEventsHandler, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput TerminalInput(java.util.concurrent.CompletableFuture&lt;com.intellij.terminal.session.TerminalSession&gt;, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, org.jetbrains.plugins.terminal.fus.TerminalStartupFusInfo, kotlinx.coroutines.CoroutineScope, com.intellij.terminal.frontend.TerminalKeyEncodingManager)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyListener TerminalKeyListener(com.intellij.terminal.JBTerminalSystemSettingsProviderBase, com.intellij.terminal.frontend.TerminalEventsHandler)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyListener TerminalKeyListener(com.intellij.terminal.JBTerminalSystemSettingsProviderBase, com.intellij.terminal.frontend.TerminalEventsHandler)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission com.intellij.terminal.session.TerminalInputEvent getEvent()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission com.intellij.terminal.session.TerminalInputEvent getEvent()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorRendererBase void paintCursor(java.awt.Graphics2D, java.awt.geom.Rectangle2D.Double, java.awt.Color)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.23&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorRendererBase void paintCursor(java.awt.Graphics2D, java.awt.geom.Rectangle2D.Double, java.awt.Color)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalLineWrapPositionStrategy">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalLineWrapPositionStrategy">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void setTerminalContent(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void setTerminalContent(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState org.jetbrains.plugins.terminal.block.reworked.TerminalOffset component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState org.jetbrains.plugins.terminal.block.reworked.TerminalOffset component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalWordSelectionFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.190&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalWordSelectionFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputTextEditor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputTextEditor">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModelImpl getOutputModel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean isApplicationKeypad()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean isApplicationKeypad()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext com.intellij.codeInsight.completion.CompletionParameters getParameters()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext com.intellij.codeInsight.completion.CompletionParameters getParameters()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void installSearchComponent(com.intellij.find.SearchReplaceComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalLayeredPane void installSearchComponent(com.intellij.find.SearchReplaceComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead void stringTyped(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputVirtualFile">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalOutputVirtualFile">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchSession javax.swing.JComponent getWrapper()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext org.jetbrains.plugins.terminal.exp.completion.TerminalShellSupport getShellSupport()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext org.jetbrains.plugins.terminal.exp.completion.TerminalShellSupport getShellSupport()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher void registerIfNeeded()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher void registerIfNeeded()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState EncodingState(boolean, boolean, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState EncodingState(boolean, boolean, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState com.jediterm.terminal.CursorShape getCursorShape()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState com.jediterm.terminal.CursorShape getCursorShape()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView com.intellij.terminal.frontend.TerminalEventsHandler getOutputEditorEventsHandler()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext com.intellij.openapi.project.Project getProject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext com.intellij.openapi.project.Project getProject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead TerminalTypeAhead(org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, org.jetbrains.plugins.terminal.block.reworked.TerminalBlocksModel, com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead TerminalTypeAhead(org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, org.jetbrains.plugins.terminal.block.reworked.TerminalBlocksModel, com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchControllerListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchControllerListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAhead Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.LineCursorRenderer LineCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.23&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.LineCursorRenderer LineCursorRenderer(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, java.util.List&lt;? extends com.intellij.terminal.frontend.TerminalCursorPainterListener&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput void sendTrackedString(java.lang.String, kotlin.time.TimeMark)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.markup.RangeHighlighter getBackgroundHighlighter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration com.intellij.openapi.editor.markup.RangeHighlighter getBackgroundHighlighter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcherKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcherKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchController">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchController">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.CopyOnSelectionHandler.MySelectionListener MySelectionListener()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.CopyOnSelectionHandler.MySelectionListener MySelectionListener()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission kotlin.time.TimeMark component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalInput.InputEventSubmission kotlin.time.TimeMark component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcherKt void setupMouseListener(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, com.intellij.terminal.frontend.TerminalEventsHandler, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView org.jetbrains.plugins.terminal.block.reworked.TerminalBlocksModel getBlocksModel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSessionController TerminalSessionController(org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, com.intellij.terminal.frontend.TerminalOutputModelController, com.intellij.terminal.frontend.hyperlinks.FrontendTerminalHyperlinkFacade, com.intellij.terminal.frontend.TerminalOutputModelController, com.intellij.terminal.frontend.hyperlinks.FrontendTerminalHyperlinkFacade, org.jetbrains.plugins.terminal.block.reworked.TerminalBlocksModel, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, kotlinx.coroutines.CoroutineScope, org.jetbrains.plugins.terminal.block.reworked.TerminalAliasesStorage)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo java.lang.String getPromptText()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalHeuristicsBasedCommandFinishTracker.LineInfo java.lang.String getPromptText()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel javax.swing.JComponent getPreferredFocusableComponent()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.ReworkedTerminalView.TerminalPanel javax.swing.JComponent getPreferredFocusableComponent()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext com.intellij.terminal.completion.ShellDataGeneratorsExecutor getGeneratorsExecutor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext com.intellij.terminal.completion.ShellDataGeneratorsExecutor getGeneratorsExecutor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext TerminalCompletionContext(com.intellij.terminal.completion.ShellRuntimeContextProvider, com.intellij.terminal.completion.ShellDataGeneratorsExecutor, org.jetbrains.plugins.terminal.exp.completion.TerminalShellSupport, com.intellij.codeInsight.completion.CompletionParameters, org.jetbrains.plugins.terminal.util.ShellType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCommandSpecCompletionContributorGen2.TerminalCompletionContext TerminalCompletionContext(com.intellij.terminal.completion.ShellRuntimeContextProvider, com.intellij.terminal.completion.ShellDataGeneratorsExecutor, org.jetbrains.plugins.terminal.exp.completion.TerminalShellSupport, com.intellij.codeInsight.completion.CompletionParameters, org.jetbrains.plugins.terminal.util.ShellType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState boolean component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSessionController">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSessionController">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEditorFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEditorFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher TerminalEventDispatcher(com.intellij.openapi.editor.ex.EditorEx, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, com.intellij.terminal.frontend.TerminalEventsHandler, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher TerminalEventDispatcher(com.intellij.openapi.editor.ex.EditorEx, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, com.intellij.terminal.frontend.TerminalEventsHandler, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration int component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalBlocksDecorator.BlockDecoration int component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState CursorState(int, boolean, boolean, com.jediterm.terminal.CursorShape)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.CursorState CursorState(int, boolean, boolean, com.jediterm.terminal.CursorShape)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.CopyOnSelectionHandler.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchSession">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalSearchSession">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher void unregisterIfRegistered()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcher void unregisterIfRegistered()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAheadOutputModelController">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAheadOutputModelController">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.Companion com.intellij.terminal.frontend.TerminalCursorPainter install(com.intellij.openapi.editor.ex.EditorEx, org.jetbrains.plugins.terminal.block.reworked.TerminalOutputModel, org.jetbrains.plugins.terminal.block.reworked.TerminalSessionModel, kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainterListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainterListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.LineCursorRenderer java.awt.geom.Rectangle2D.Double shape(java.awt.geom.Rectangle2D.Double)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalCursorPainter.LineCursorRenderer java.awt.geom.Rectangle2D.Double shape(java.awt.geom.Rectangle2D.Double)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState copy(boolean, boolean, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState com.intellij.terminal.frontend.TerminalKeyEncodingManager.EncodingState copy(boolean, boolean, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAheadKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalTypeAheadKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcherKt void setupKeyEventDispatcher(com.intellij.openapi.editor.ex.EditorEx, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, com.intellij.terminal.frontend.TerminalEventsHandler, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.terminal.frontend.TerminalEventDispatcherKt void setupKeyEventDispatcher(com.intellij.openapi.editor.ex.EditorEx, com.intellij.terminal.JBTerminalSystemSettingsProviderBase, com.intellij.terminal.frontend.TerminalEventsHandler, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
</root>
